package com.goldenwater.slaj.ttsa.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.ttsa.mapper.BisTtsaCertChaTranMapper;
import com.goldenwater.slaj.ttsa.domain.BisTtsaCertChaTran;
import com.goldenwater.slaj.ttsa.service.IBisTtsaCertChaTranService;

@Service
public class BisTtsaCertChaTranServiceImpl implements IBisTtsaCertChaTranService {
    @Autowired
    private BisTtsaCertChaTranMapper bisTtsaCertChaTranMapper;

    @Override
    public BisTtsaCertChaTran selectBisTtsaCertChaTranByGuid(String guid) {
        return bisTtsaCertChaTranMapper.selectBisTtsaCertChaTranByGuid(guid);
    }

    @Override
    public List<BisTtsaCertChaTran> selectBisTtsaCertChaTranList(BisTtsaCertChaTran bisTtsaCertChaTran) {
        return bisTtsaCertChaTranMapper.selectBisTtsaCertChaTranList(bisTtsaCertChaTran);
    }

    @Override
    public int insertBisTtsaCertChaTran(BisTtsaCertChaTran bisTtsaCertChaTran) {
        return bisTtsaCertChaTranMapper.insertBisTtsaCertChaTran(bisTtsaCertChaTran);
    }

    @Override
    public int updateBisTtsaCertChaTran(BisTtsaCertChaTran bisTtsaCertChaTran) {
        return bisTtsaCertChaTranMapper.updateBisTtsaCertChaTran(bisTtsaCertChaTran);
    }

    @Override
    public int deleteBisTtsaCertChaTranByGuid(String guid) {
        return bisTtsaCertChaTranMapper.deleteBisTtsaCertChaTranByGuid(guid);
    }

    @Override
    public int deleteBisTtsaCertChaTranByGuids(String[] guids) {
        return bisTtsaCertChaTranMapper.deleteBisTtsaCertChaTranByGuids(guids);
    }
}
